%define kdeprefix /usr
%define qtdir /usr/lib/qt-1.45
%define version 1.1.2
%define kderelease 7j1
%define sourcedir stable/%{version}/distribution/tar/generic/source

%define kdename kdemultimedia
Name: %{kdename}
Icon: kde-icon.xpm
Summary: Multimedia applications for the K Desktop Environment (KDE).
Version: %{version}
Release: %{kderelease}
Serial: 2
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{kdename}-%{version}.tar.bz2
Patch0: kdemultimedia-1.1-redhat.patch
Patch1: kdemultimedia-1.1.2-localkscd.patch
Patch2: kdemultimedia-1.1.2-kmix-err.patch
Patch3: kdemultimedia-kmidi-nofiles.patch
Patch4: kdemultimedia-kernel2.3.patch
Group: Applications/Multimedia
BuildRoot: /var/tmp/%{kdename}-buildroot
Copyright: GPL
Requires: kdesupport
Prefix: %{kdeprefix}

%description
The K Desktop Environment (KDE) is a GUI desktop for the X Window
System. The kdemultimedia package contains multimedia applications for
KDE, including kmedia, a media player; kmid, a midi/karaoke player;
kmidi, a midi-to-wav player/converter; kmix, a mixer; and kscd, and
audio CD player.

Install kdemultimedia if you need multimedia applications for KDE. If
you're installing KDE, you'll also need to install kdebase, kdelibs
and kdesupport.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n kdemultimedia
make -f Makefile.cvs
%patch0 -p1 -b .redhat
%patch1 -p1 -b .localkscd
%patch2 -p1 -b .kmix-err
%patch3 -p1 -b .kmidi-nofiles
%patch4 -p1 -b .kernel23

%build
export KDEDIR=%{kdeprefix} QTDIR=%{qtdir}
%configure \
	--prefix=%{kdeprefix} --with-install-root=$RPM_BUILD_ROOT
make CPPFLAGS="-DNDEBUG" CXXFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG"


%install
make install
for i in $RPM_BUILD_ROOT/usr/bin/*; do
  strip -r .comments $i || : &>/dev/null
done

# don't make these world-writeable
chmod go-w $RPM_BUILD_ROOT/usr/share/apps/kscd/*
chmod go-w $RPM_BUILD_ROOT/usr/share/apps/kscd/cddb/*

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
	$RPM_BUILD_DIR/file.list.%{kdename}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
	-e '/\/config\//s|^|%config|' >> \
	$RPM_BUILD_DIR/file.list.%{kdename}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{kdename}

echo "%docdir /usr/doc/kde" >> $RPM_BUILD_DIR/file.list.%{kdename}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{kdename}

%files -f ../file.list.%{kdename}

%changelog
* Tue Mar 14 2000 Matt Wilson <msw@redhat.com>
- built against qt + i18n patch for 6.2j release

* Tue Feb 29 2000 Preston Brown <pbrown@redhat.com>
- fix localkscd patch, broken since 6.1 (#9404).

* Fri Feb  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Remove (world!) write permissions to /usr/share/apps/kscd/cddb/*
- fix description

* Thu Feb  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Change the kmix error message (Bug #9065)
- Fix kmidi behavior when trying to play an empty playlist (Bug #8843)
- Fix compilation with kernel 2.3.x headers

* Sat Jan  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- current version from KDE_1_1_BRANCH
- work around make install-strip breakage
- Rebuild for 6.2

* Sat Sep 25 1999 Preston Brown <pbrown@redhat.com>
- patched kscd to use local user directory for cddb entries

* Fri Sep 24 1999 Preston Brown <pbrown@redhat.com>
- mark doc files as such

* Thu Sep 09 1999 Preston Brown <pbrown@redhat.com>
- 1.1.2 release.

* Mon Jun 14 1999 Preston Brown <pbrown@redhat.com>
- snapshot, includes kde 1.1.1 + fixes

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- last snapshot before release

* Tue Apr 13 1999 Preston Brown <pbrown@redhat.com>
- snapshot from today fixed kmid freeze issues

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- latest stable snapshot

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to KDE 1.1 final.

* Sat Feb 06 1999 Preston Brown <pbrown@redhat.com>
- complies w/new RPM, newer libstdc++

* Wed Jan 06 1999 Preston Brown <pbrown@redhat.com>
- re-merged in updates from Duncan Haldane
